# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without repolib

%define section free

%global apiver 2.2.3

%define reltag _redhat_1
%define namedreltag -redhat-1
%global namedversion %{version}%{?namedreltag}

%global alternatives_priority 20203

Name:           glassfish-jaxb
Version:        2.2.4
Release:        0.6%{?reltag}%{?dist}
Epoch:          0
Summary:        Java Architecture for XML Binding
License:        CDDL/GPLv2
Group:          Development/Libraries/Java
URL:            https://jax-ws-sources.dev.java.net/
%if 0
svn -q export -r 3881 https://svn.java.net/svn/jaxb~version2/tags/jaxb-2_2_4 jaxb-ri-2.2.4 && tar cjf glassfish-jaxb-2.2.4.tar.bz2 jaxb-ri-2.2.4
%endif
Source0:        glassfish-jaxb-2.2.4.tar.bz2
Source7:	http://repo1.maven.org/maven2/javax/xml/bind/jaxb-api/2.2.4/jaxb-api-2.2.4.pom
Source8:	http://repo1.maven.org/maven2/com/sun/xml/bind/jaxb-impl/2.2.4/jaxb-impl-2.2.4.pom
Source9:        http://repo1.maven.org/maven2/com/sun/xml/bind/jaxb-xjc/2.2.4/jaxb-xjc-2.2.4.pom
Source10:       http://repo1.maven.org/maven2/com/sun/xml/bind/jaxb1-impl/2.2.4/jaxb1-impl-2.2.4.pom
Patch0:         jaxb-ri-resolver.patch
Patch1:         jaxb-ri-verbose.patch
Patch2:         jaxb-ri-javadoc.patch
Patch3:         jaxb-ri-poms.patch
Patch4:         jaxb-ri-no-xjc1.patch
Patch5:         jaxb-ri-no-class-path-in-manifest.patch
Requires:       glassfish-jaf
Requires(post): jpackage-utils
Requires(post): %{_sbindir}/update-alternatives
Requires(postun): jpackage-utils
Requires(preun): %{_sbindir}/update-alternatives
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  args4j
BuildRequires:  codemodel
BuildRequires:  dtd-parser
BuildRequires:  glassfish-jaf
BuildRequires:  istack-commons
BuildRequires:  isorelax
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  javatools-package-rename-task
BuildRequires:  jboss-component-management
BuildRequires:  jboss-jaxb-api_2.2_spec
BuildRequires:  jboss-parent
BuildRequires:  jing
BuildRequires:  jpackage-utils
BuildRequires:  jvnet-parent
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven-antrun-extended-plugin
BuildRequires:  msv-core
BuildRequires:  relaxngcc
BuildRequires:  relaxngDatatype
BuildRequires:  rngom
BuildRequires:  stax-ex
BuildRequires:  sun-fi
BuildRequires:  txw2
BuildRequires:  txwc2
BuildRequires:  xml-commons-resolver >= 0:1.2
BuildRequires:  xsdlib
BuildRequires:  xsom >= 0:20110101
#
%if 0
DEBUG util.py:256:  Transaction Check Error:
DEBUG util.py:256:    file /usr/share/java-signed/commons-logging-adapters.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_1.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java-signed/commons-logging-api.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_1.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java-signed/commons-logging.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_1.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java-signed/jakarta-commons-logging-adapters.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_1.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java-signed/jakarta-commons-logging-api.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_1.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java-signed/jakarta-commons-logging.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_1.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java/commons-logging-adapters.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_1.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java/commons-logging-api.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_1.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java/commons-logging.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_1.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java/jakarta-commons-logging-adapters.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_1.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java/jakarta-commons-logging-api.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_1.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java/jakarta-commons-logging.jar conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_1.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/maven2/poms/JPP-commons-logging.pom conflicts between attempted installs of apache-commons-logging-0:1.1.1-6.5_redhat_1.ep6.el6.noarch and jakarta-commons-logging-0:1.1.1-1.ep5.el6.noarch
DEBUG util.py:256:    file /usr/share/java/commons-cli.jar conflicts between attempted installs of apache-commons-cli-0:1.2-6.3_redhat_1.ep6.el6.noarch and jakarta-commons-cli-0:1.0-6.1.jdk6.ep5.el5.noarch
DEBUG util.py:256:    file /usr/share/java/jakarta-commons-cli.jar conflicts between attempted installs of apache-commons-cli-0:1.2-6.3_redhat_1.ep6.el6.noarch and jakarta-commons-cli-0:1.0-6.1.jdk6.ep5.el5.noarch
DEBUG util.py:256:  Error Summary
%endif
BuildRequires:  apache-commons-logging >= 0:1.1.1
%if 0
DEBUG util.py:256:  Transaction Check Error:
DEBUG util.py:256:    file /usr/share/java/commons-cli.jar conflicts between attempted installs of apache-commons-cli-0:1.2-6.3_redhat_1.ep6.el6.noarch and jakarta-commons-cli-0:1.0-6.1.jdk6.ep5.el5.noarch
DEBUG util.py:256:    file /usr/share/java/jakarta-commons-cli.jar conflicts between attempted installs of apache-commons-cli-0:1.2-6.3_redhat_1.ep6.el6.noarch and jakarta-commons-cli-0:1.0-6.1.jdk6.ep5.el5.noarch
DEBUG util.py:256:  Error Summary
DEBUG util.py:256:  -------------
%endif
BuildRequires:  apache-commons-cli >= 0:1.2
#
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Java Architecture for XML Binding (JAXB) 2.2 API according to JSR-222.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%package javadoc
Summary:        Javadoc for JAXB
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
Javadoc for JAXB.

%prep
%setup -q -n jaxb-ri-%{version}

%{_bindir}/find -type f -name '*.class' | %{_bindir}/xargs -t %{__rm}
%{_bindir}/find -type f -name '*.dll' | %{_bindir}/xargs -t %{__rm}
%{_bindir}/find -type f -name '*.zip' | %{_bindir}/xargs -t %{__rm}

%{__rm} tools/compiler10/jaxb1-xjc.jar
%{__rm} tools/lib/rebundle/compiler/codemodel.jar
%{__rm} tools/lib/rebundle/compiler/dtd-parser.jar
%{__rm} tools/lib/rebundle/compiler/istack-commons-tools.jar
%{__rm} tools/lib/rebundle/compiler/relaxngDatatype.jar
%{__rm} tools/lib/rebundle/compiler/resolver.jar
%{__rm} tools/lib/rebundle/compiler/rngom.jar
%{__rm} tools/lib/rebundle/compiler/xsom.jar
%{__rm} tools/lib/rebundle/runtime2/istack-commons-runtime.jar
%{__rm} tools/lib/rebundle/runtime2/txw2.jar
%{__rm} tools/lib/rebundle/runtime/isorelax.jar
%{__rm} tools/lib/rebundle/runtime/msv.jar
%{__rm} tools/lib/rebundle/runtime/relaxngDatatype.jar
%{__rm} tools/lib/rebundle/runtime/xsdlib.jar
%{__rm} tools/lib/redist/activation.jar
%{__rm} tools/lib/redist/jaxb-api.jar
# XXX: build requires actual file to be present
%{__ln_s} `%{_bindir}/build-classpath jboss-jaxb-api_2.2_spec/jboss-jaxb-api_2.2_spec` tools/lib/redist/jaxb-api.jar
%{__rm} tools/lib/redist/jsr173_1.0_api.jar
%{__rm} tools/lib/util/ant-contrib-0.6.jar
%{__rm} tools/lib/util/ant-fsget.jar
%{__rm} tools/lib/util/ant.jar
%{__rm} tools/lib/util/ant-junit.jar
%{__rm} tools/lib/util/ant-launcher.jar
%{__rm} tools/lib/util/ant-trax.jar
%{__rm} tools/lib/util/args4j.jar
%{__rm} tools/lib/util/bnd-0.0.249.jar
%{__rm} tools/lib/src/codemodel-sources.jar
%{__rm} tools/lib/src/dtd-parser-sources.jar
%{__rm} tools/lib/src/fi-sources.jar
%{__rm} tools/lib/src/istack-commons-runtime-sources.jar
%{__rm} tools/lib/src/istack-commons-tools-sources.jar
%{__rm} tools/lib/src/rngom-sources.jar
%{__rm} tools/lib/src/txw2-sources.jar
%{__rm} tools/lib/src/xsom-sources.jar
%{__rm} tools/lib/util/codemodel-annotation-compiler-sources.jar
%{__rm} tools/lib/util/codemodel-annotation-compiler.jar
%{__rm} tools/lib/util/dom4j.jar
%{__rm} tools/lib/util/FastInfoset.jar
%{__rm} tools/lib/util/istack-commons-test.jar
%{__rm} tools/lib/util/istack-commons-test-sources.jar
%{__rm} tools/lib/util/jing.jar
%{__rm} tools/lib/util/junit-3.8.1.jar
%{__rm} tools/lib/util/maven-repository-importer.jar
%{__rm} tools/lib/util/package-rename-task.jar
%{__rm} tools/lib/util/relaxngcc.jar
%{__rm} tools/lib/util/sfx4j-1.0.jar
%{__rm} tools/lib/util/sjsxp.jar
%{__rm} tools/lib/util/stax-ex.jar
%{__rm} tools/lib/util/txwc2-sources.jar
%{__rm} tools/lib/util/txwc2.jar
%{__rm} tools/lib/util/xercesImpl.jar

bj=`%{_bindir}/find -type f -and -not -type l -name "*.jar" | wc -l`
/bin/echo "There are ${bj} bundled jars"
if [ ${bj} -gt 0 ]; then
    %{_bindir}/find -type f -name "*.jar" | sort
    /bin/echo One or more bundled jars present. Exiting.
    exit 1
fi

%patch0 -p0 -b .sav0
%patch1 -p0 -b .sav1
%patch2 -p0 -b .sav2
%patch4 -p0 -b .sav4
%patch5 -p1 -b .sav5

%{__cp} -p %{SOURCE7} .
%{__cp} -p %{SOURCE8} .
%{__cp} -p %{SOURCE9} .
%{__cp} -p %{SOURCE10} .
%patch3 -p1 -b .sav3

%{__mv} License.txt License.txt.orig
%{_bindir}/iconv -f iso8859-1 -t utf8 -o License.txt License.txt.orig

%build
export CLASSPATH=`%{_bindir}/build-classpath args4j codemodel codemodel-annotation-compiler dtd-parser FastInfoset isorelax istack-commons-runtime istack-commons-tools jboss-jaxb-api_2.2_spec jing msv-core package-rename-task relaxngcc relaxngDatatype rngom stax-ex txw2 txwc2 xml-resolver xsdlib xsom`
export OPT_JAR_LIST=:
%{ant} -Dbuild.sysclasspath=first clean dist architecture-document

# FIXME: thsi requires the bundles .class files, plus bundled binary jars
%if 0
pushd osgi
export cpath="-Dcpath.fromsource="
%{ant} -Dbuild.sysclasspath=first clean bundle -Dfrom.source=true -Dmaven.repo.local=../.m2/repository -Djavac.target=1.5 -Djavac.source=1.5 ${cpath} -Dosgi.build.api=osgi/build -Dosgi.build.rt=osgi/build
popd
%endif

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%if 0
%{__cp} -p dist/lib/jaxb-api.jar %{buildroot}%{_javadir}/jaxb-api-%{apiver}%{?namedreltag}.jar
%endif
%{__cp} -p dist/lib/jaxb-impl.jar %{buildroot}%{_javadir}/jaxb-impl-%{namedversion}.jar
%if 0
%{__cp} -p dist/lib/jaxb1-impl.jar %{buildroot}%{_javadir}/jaxb1-impl-%{namedversion}.jar
%endif
%{__cp} -p dist/lib/jaxb-xjc.jar %{buildroot}%{_javadir}/jaxb-xjc-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}.jar; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)
%if 0
if test "x%{namedversion}" != "x%{apiver}%{?namedreltag}"; then
    (cd %{buildroot}%{_javadir} && for jar in *-%{apiver}%{?namedreltag}.jar; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{apiver}%{?namedreltag}||g"`; done)
fi
%endif

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jaxb-%{namedversion}
%{__cp} -pr build/javadoc/* %{buildroot}%{_javadocdir}/jaxb-%{namedversion}
%{__ln_s} jaxb-%{namedversion} %{buildroot}%{_javadocdir}/jaxb

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%if 0
%{__cp} -p jaxb1-impl-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP-jaxb1-impl.pom
%endif
%if 0
%{__cp} -p jaxb-api-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP-jaxb-api.pom
%endif
%{__cp} -p jaxb-impl-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP-jaxb-impl.pom
%{__cp} -p jaxb-xjc-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP-jaxb-xjc.pom

%if 0
%add_to_maven_depmap com.sun.xml.bind jaxb1-impl %{namedversion} JPP jaxb1-impl
%endif
%add_to_maven_depmap com.sun.xml.bind jaxb-xjc %{namedversion} JPP jaxb-xjc
%if 0
%add_to_maven_depmap javax.xml.bind jaxb-api %{apiver}%{?namedreltag} JPP jaxb-api
%endif
%add_to_maven_depmap com.sun.xml.bind jaxb-impl %{namedversion} JPP jaxb-impl

/bin/touch %{buildroot}%{_javadir}/jaxb_api.jar
/bin/touch %{buildroot}%{_javadir}/jaxb_2_2_api.jar

%if %with repolib
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export URL=file://%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%if 0
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DpomFile=%{buildroot}%{_mavenpomdir}/JPP-jaxb1-impl.pom -Dfile=%{buildroot}%{_javadir}/jaxb1-impl-%{namedversion}.jar -Durl=${URL} -DrepositoryId=oss-releases
%endif
%if 0
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DpomFile=%{buildroot}%{_mavenpomdir}/JPP-jaxb-api.pom -Dfile=%{buildroot}%{_javadir}/jaxb-api-%{apiver}%{?namedreltag}.jar -Durl=${URL} -DrepositoryId=oss-releases
%endif
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DpomFile=%{buildroot}%{_mavenpomdir}/JPP-jaxb-impl.pom -Dfile=%{buildroot}%{_javadir}/jaxb-impl-%{namedversion}.jar -Durl=${URL} -DrepositoryId=oss-releases
%{_bindir}/mvn-jpp deploy:deploy-file -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DpomFile=%{buildroot}%{_mavenpomdir}/JPP-jaxb-xjc.pom -Dfile=%{buildroot}%{_javadir}/jaxb-xjc-%{namedversion}.jar -Durl=${URL} -DrepositoryId=oss-releases
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%if 0
%{_sbindir}/update-alternatives --install %{_javadir}/jaxb_2_2_api.jar jaxb_2_2_api %{_javadir}/jaxb-api.jar %{alternatives_priority}
%{_sbindir}/update-alternatives --install %{_javadir}/jaxb_api.jar jaxb_api %{_javadir}/jaxb-api.jar %{alternatives_priority}
%endif
%update_maven_depmap

%if 0
%preun
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaxb_2_2_api %{_javadir}/jaxb-api.jar
    %{_sbindir}/update-alternatives --remove jaxb_api %{_javadir}/jaxb-api.jar
fi
%endif

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc License.html License.txt HOWTO-build.txt
%if 0
%{_javadir}*/jaxb-api-%{apiver}%{?namedreltag}.jar
%{_javadir}*/jaxb-api.jar
%endif
%{_javadir}*/jaxb-impl-%{namedversion}.jar
%{_javadir}*/jaxb-impl.jar
%if 0
%{_javadir}*/jaxb1-impl-%{namedversion}.jar
%{_javadir}*/jaxb1-impl.jar
%endif
%{_javadir}*/jaxb-xjc-%{namedversion}.jar
%{_javadir}*/jaxb-xjc.jar
%ghost %{_javadir}*/jaxb_2_2_api.jar
%ghost %{_javadir}*/jaxb_api.jar
%if 0
%{_mavenpomdir}/JPP-jaxb1-impl.pom
%endif
%if 0
%{_mavenpomdir}/JPP-jaxb-api.pom
%endif
%{_mavenpomdir}/JPP-jaxb-impl.pom
%{_mavenpomdir}/JPP-jaxb-xjc.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jaxb-%{namedversion}
%{_javadocdir}/jaxb

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Thu Apr 19 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.6
- run vman on poms

* Tue Mar 27 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.5
- fix jaxb-impl pom dependencies

* Wed Feb 22 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.4
- use org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec
- remove patches for jaxb 2.1
- remoce provides for jaxb api (this is the impl only)
- use external codemodel
- use external dtd-parser
- use external istack-commons-tools
- use external jing (not in xjc)
- use external relaxngDatatype
- use external relaxngcc (not in xjc)
- use external rngom
- use external txw2 (not in xjc)
- use external xml-resolver
- use external xsom
- remove the 1.0 compiler
- remoce Class-Path from manifests

* Wed Feb 22 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.3
- add back removal of jars
- remove jaxb1-impl and xjc1 from main pkg and repolib pkg

* Wed Feb 22 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.2
- add jaxb1-impl to repolib

* Tue Feb 21 2012 David Walluck <dwalluck@redhat.com> 0:2.2.4-0.1
- 2.2.4
- remove vman poms
- add missing jaxb1-impl pom

* Thu Dec 15 2011 David Walluck <dwalluck@redhat.com> 0:2.2-7_redhat_1
- remove bundled .class files
- remove bundled .zip files
- reduce number of bundled jars from 42 to 14 and add 8 BuildRequires
- externalize com.sun.org.apache.xml.internal in com/sun/tools/xjc/Options
- add BuildRequires: jboss-component-management

* Tue Nov 29 2011 David Walluck <dwalluck@redhat.com> 0:2.2-6_redhat_1
- fix alternatives name
- update alternatives priority
- update maven demap after alternatives install

* Wed Oct 19 2011 David Walluck <dwalluck@redhat.com> 0:2.2-5_redhat_1
- fix Summary/description (not XML Web Services, but Binding)
- fix ghost link
- fix file names
- fix api version in pom
- fix api version in depmap
- fix file ownership in main package
- fix maven deploy (must set maven local repo)
- fix maven deploy (use correct version from pom)
- use one version for poms
- fix versions
- use maven2-plugin-deploy
- fix bad commenting (don't put macros in comments)
- fix repolib file ownership
- remove stax (Build)Requires
- comment out stax:stax-api from pom

* Fri Sep 30 2011 Yong Yang <yyang@redhat.com> - 0:2.2-4_redhat_1
- Fix vman pom, use stax:stax-xml instead of javax.xml.xstream:stax-api

* Thu Sep 15 2011 Yong Yang <yyang@redhat.com> - 0:2.2-3_rehdat_1
- Build for Werewolf

* Mon May 30 2011 Yong Yang <yyang@redhat.com> - 0:2.2-2
- Add "Provides: jaxb_2_1_api" because somae packages still BR jaxb_2_1_api

* Mon May 30 2011 Yong Yang <yyang@redhat.com> - 0:2.2-1
- Upgrade to 2.2

* Wed Jan 26 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-9
- Add patch to initialize AbstractDoclet configuration
- Enable javadoc

* Wed Jan 26 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-8
- Temporarily remove creation of javadoc sub-package

* Tue Jan 11 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-7
- Remove javadoc from main package

* Wed Dec 15 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.1.12-6
- Add maven2-brew contents to repolib

* Thu Jul 29 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.12-5
- Rebuild in 5.1

* Thu Jul 29 2010 David Walluck <dwalluck@redhat.com> 0:2.1.12-4
- change alternatives priority from 20100 to 20112

* Thu Jun 10 2010 David Walluck <dwalluck@redhat.com> 0:2.1.12-3
- add (Build)Requires for jaf and stax for jaxb-api-2.1.pom

* Thu Jun 10 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.12-2
- Comment patch for pom files since files are now bundled sources.

* Mon May 17 2010 Fernando Nasser <fnasser@redhat.com> 0:2.1.12-1
- Upgrade to 2.1.12
- Add pom.xml files for jaxb-api, jaxb-impl and jaxb-xjc
- Exchange CDDL+GPLv2.* files for License.*

* Wed May 05 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.1.9-6.9.1
- rebuilt

* Fri Apr 02 2010 Yong Yang <yyang@redhat.com> 0:2.1.9-6.9
- Rebuild

* Tue Jan 26 2010 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.8
- use sun-jaxb as groupId for all artifacts

* Mon Jan 25 2010 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.7
- add patch to update poms

* Mon Jan 25 2010 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.6
- fix api, impl, and stax versions in the poms
- jaxb-api Provides should use the API version
- add Requires for %%{_sbindir}/update-alternatives

* Thu Jan 14 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.9-6.5
- Add patch for JIRA issue JBPAPP-3389 JBossWS / JAXB - Mixed up namespace prefixes when marshalling response with Element containing attributes
- Add patch from JBPAPP-2114/2161 JBossWS - Incorrect Parsing of Badly Formed int
- Add patch from JBPAPP-2121/2162 Sun JAXB Accepts Message Despite Failure During Parsing
- Define repolibver to automatically handle version of patches where needed
- Move POMs from repodirsrc to repodirlib

* Thu Dec 10 2009 Fernando Nasser <fnasser@redhat.com> 0:2.1.9-6.4
- Fix POM filenames
- Install POMs in repolib

* Mon Aug 10 2009 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.3
- copy patches to both repolibs

* Mon Aug 10 2009 David Walluck <dwalluck@redhat.com> 0:2.1.9-6.2
- add patches to repolib

* Tue Jul 14 2009 Yong Yang <yyang@redhat.com> 0:2.1.9-6.1
- Merge with JPP-6 2.1.9-6
- Retain patches for JBAS-6535 and JBPAPP-1956

* Fri Jul 10 2009 Martha Benitez <mbenitez@redhat.com> 0:2.1.9-1.3
- Add poms for jaxb-impl and jaxb-xjc to repository

* Thu Jun 18 2009 Permaine Cheung <pcheung@redhat.com> 0:2.1.9-1.2
- Add patch for JBPAPP-1956
- Update repodir location

* Wed Apr 08 2009 Permaine Cheung <pcheung@redhat.com> 0:2.1.9-1.1
- Merge with upstream
- Add patch for JBAS-6535

* Tue Feb 02 2009 David Walluck <dwalluck@redhat.com> 0:2.1.9-1
- 2.1.9
- change jar location from sun-jaxb to %%{name}
- License is CDDL and GPLv2

* Thu Jan 08 2009 Permaine Cheung <pcheung@redhat.com> 0:2.1.4-1.5.ep1
- Added patch for JBPAPP-1560
- Added .patch01 to the repolib location
- Quiet setup

* Tue Aug 05 2008 David Walluck <dwalluck@redhat.com> 0:2.1.4-1jpp.ep1.4
- add xsdlib.jar to CLASSPATH

* Thu Jul 31 2008 Fernando nasser <fnasser@redhat.com> - 0:2.1.4-1jpp.ep1.3
- Plain rebuild

* Fri Jul 18 2008 Clive Saldanha <csaldanh@redhat.com> - 0:2.1.4-1jpp.ep1.2
- Adding all jars to main package

* Fri Jul 18 2008 Clive Saldanha <csaldanh@redhat.com> - 0:2.1.4-1jpp.ep1.1
- First Release
